# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'cal_inspection.ui'
#
# Created by: PyQt5 UI code generator 5.15.1
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(1075, 604)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(MainWindow.sizePolicy().hasHeightForWidth())
        MainWindow.setSizePolicy(sizePolicy)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.centralwidget.sizePolicy().hasHeightForWidth())
        self.centralwidget.setSizePolicy(sizePolicy)
        self.centralwidget.setObjectName("centralwidget")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.centralwidget)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.leftLayoutV = QtWidgets.QVBoxLayout()
        self.leftLayoutV.setSizeConstraint(QtWidgets.QLayout.SetMaximumSize)
        self.leftLayoutV.setObjectName("leftLayoutV")
        self.inputLayoutH = QtWidgets.QHBoxLayout()
        self.inputLayoutH.setObjectName("inputLayoutH")
        self.inFileBrowse = QtWidgets.QPushButton(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.inFileBrowse.sizePolicy().hasHeightForWidth())
        self.inFileBrowse.setSizePolicy(sizePolicy)
        self.inFileBrowse.setObjectName("inFileBrowse")
        self.inputLayoutH.addWidget(self.inFileBrowse)
        self.inFileLabel = QtWidgets.QLabel(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.inFileLabel.sizePolicy().hasHeightForWidth())
        self.inFileLabel.setSizePolicy(sizePolicy)
        self.inFileLabel.setWordWrap(True)
        self.inFileLabel.setObjectName("inFileLabel")
        self.inputLayoutH.addWidget(self.inFileLabel)
        self.leftLayoutV.addLayout(self.inputLayoutH)
        self.filterGroup = QtWidgets.QGroupBox(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.filterGroup.sizePolicy().hasHeightForWidth())
        self.filterGroup.setSizePolicy(sizePolicy)
        self.filterGroup.setCheckable(False)
        self.filterGroup.setObjectName("filterGroup")
        self.gridLayout = QtWidgets.QGridLayout(self.filterGroup)
        self.gridLayout.setObjectName("gridLayout")
        self.filtDataFileBrowse = QtWidgets.QPushButton(self.filterGroup)
        self.filtDataFileBrowse.setCheckable(False)
        self.filtDataFileBrowse.setObjectName("filtDataFileBrowse")
        self.gridLayout.addWidget(self.filtDataFileBrowse, 1, 0, 1, 3)
        self.filterSelectLayoutV = QtWidgets.QVBoxLayout()
        self.filterSelectLayoutV.setObjectName("filterSelectLayoutV")
        self.columnLayoutH = QtWidgets.QHBoxLayout()
        self.columnLayoutH.setObjectName("columnLayoutH")
        self.labelColumn = QtWidgets.QLabel(self.filterGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.labelColumn.sizePolicy().hasHeightForWidth())
        self.labelColumn.setSizePolicy(sizePolicy)
        self.labelColumn.setObjectName("labelColumn")
        self.columnLayoutH.addWidget(self.labelColumn)
        self.filterColumn = QtWidgets.QComboBox(self.filterGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.filterColumn.sizePolicy().hasHeightForWidth())
        self.filterColumn.setSizePolicy(sizePolicy)
        self.filterColumn.setObjectName("filterColumn")
        self.columnLayoutH.addWidget(self.filterColumn)
        self.filterSelectLayoutV.addLayout(self.columnLayoutH)
        self.valueLayoutH = QtWidgets.QHBoxLayout()
        self.valueLayoutH.setObjectName("valueLayoutH")
        self.valueLabel = QtWidgets.QLabel(self.filterGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.valueLabel.sizePolicy().hasHeightForWidth())
        self.valueLabel.setSizePolicy(sizePolicy)
        self.valueLabel.setObjectName("valueLabel")
        self.valueLayoutH.addWidget(self.valueLabel)
        self.valueList = QtWidgets.QListWidget(self.filterGroup)
        self.valueList.setSelectionMode(QtWidgets.QAbstractItemView.MultiSelection)
        self.valueList.setObjectName("valueList")
        self.valueLayoutH.addWidget(self.valueList)
        self.filterSelectLayoutV.addLayout(self.valueLayoutH)
        self.logicLayoutH = QtWidgets.QHBoxLayout()
        self.logicLayoutH.setObjectName("logicLayoutH")
        self.andButton = QtWidgets.QRadioButton(self.filterGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.andButton.sizePolicy().hasHeightForWidth())
        self.andButton.setSizePolicy(sizePolicy)
        self.andButton.setChecked(True)
        self.andButton.setObjectName("andButton")
        self.logicLayoutH.addWidget(self.andButton)
        self.orButton = QtWidgets.QRadioButton(self.filterGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.orButton.sizePolicy().hasHeightForWidth())
        self.orButton.setSizePolicy(sizePolicy)
        self.orButton.setObjectName("orButton")
        self.logicLayoutH.addWidget(self.orButton)
        self.filterSelectLayoutV.addLayout(self.logicLayoutH)
        self.filterAdd = QtWidgets.QPushButton(self.filterGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.filterAdd.sizePolicy().hasHeightForWidth())
        self.filterAdd.setSizePolicy(sizePolicy)
        self.filterAdd.setObjectName("filterAdd")
        self.filterSelectLayoutV.addWidget(self.filterAdd)
        self.filterClear = QtWidgets.QPushButton(self.filterGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.filterClear.sizePolicy().hasHeightForWidth())
        self.filterClear.setSizePolicy(sizePolicy)
        self.filterClear.setObjectName("filterClear")
        self.filterSelectLayoutV.addWidget(self.filterClear)
        self.gridLayout.addLayout(self.filterSelectLayoutV, 0, 0, 1, 1)
        self.filterDisplay = QtWidgets.QTextEdit(self.filterGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.filterDisplay.sizePolicy().hasHeightForWidth())
        self.filterDisplay.setSizePolicy(sizePolicy)
        self.filterDisplay.setMinimumSize(QtCore.QSize(200, 0))
        self.filterDisplay.setReadOnly(True)
        self.filterDisplay.setObjectName("filterDisplay")
        self.gridLayout.addWidget(self.filterDisplay, 0, 2, 1, 1)
        self.leftLayoutV.addWidget(self.filterGroup)
        self.plotGroup = QtWidgets.QGroupBox(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.plotGroup.sizePolicy().hasHeightForWidth())
        self.plotGroup.setSizePolicy(sizePolicy)
        self.plotGroup.setObjectName("plotGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.plotGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout_2 = QtWidgets.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.histColumn = QtWidgets.QComboBox(self.plotGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.histColumn.sizePolicy().hasHeightForWidth())
        self.histColumn.setSizePolicy(sizePolicy)
        self.histColumn.setObjectName("histColumn")
        self.gridLayout_2.addWidget(self.histColumn, 3, 1, 1, 1)
        self.verticalLayout_5 = QtWidgets.QVBoxLayout()
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.nBinsLabel = QtWidgets.QLabel(self.plotGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.nBinsLabel.sizePolicy().hasHeightForWidth())
        self.nBinsLabel.setSizePolicy(sizePolicy)
        self.nBinsLabel.setObjectName("nBinsLabel")
        self.horizontalLayout_4.addWidget(self.nBinsLabel)
        self.nBinsEdit = QtWidgets.QLineEdit(self.plotGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.nBinsEdit.sizePolicy().hasHeightForWidth())
        self.nBinsEdit.setSizePolicy(sizePolicy)
        self.nBinsEdit.setObjectName("nBinsEdit")
        self.horizontalLayout_4.addWidget(self.nBinsEdit)
        self.verticalLayout_5.addLayout(self.horizontalLayout_4)
        self.logSelect = QtWidgets.QCheckBox(self.plotGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.logSelect.sizePolicy().hasHeightForWidth())
        self.logSelect.setSizePolicy(sizePolicy)
        self.logSelect.setObjectName("logSelect")
        self.verticalLayout_5.addWidget(self.logSelect)
        self.gridLayout_2.addLayout(self.verticalLayout_5, 3, 2, 1, 1)
        self.failSelect = QtWidgets.QRadioButton(self.plotGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.failSelect.sizePolicy().hasHeightForWidth())
        self.failSelect.setSizePolicy(sizePolicy)
        self.failSelect.setChecked(True)
        self.failSelect.setAutoExclusive(True)
        self.failSelect.setObjectName("failSelect")
        self.gridLayout_2.addWidget(self.failSelect, 0, 0, 1, 1)
        self.line = QtWidgets.QFrame(self.plotGroup)
        self.line.setFrameShape(QtWidgets.QFrame.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line.setObjectName("line")
        self.gridLayout_2.addWidget(self.line, 1, 0, 1, 3)
        self.histSelect = QtWidgets.QRadioButton(self.plotGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.histSelect.sizePolicy().hasHeightForWidth())
        self.histSelect.setSizePolicy(sizePolicy)
        self.histSelect.setChecked(False)
        self.histSelect.setObjectName("histSelect")
        self.gridLayout_2.addWidget(self.histSelect, 3, 0, 1, 1)
        self.scatSelect = QtWidgets.QRadioButton(self.plotGroup)
        self.scatSelect.setObjectName("scatSelect")
        self.gridLayout_2.addWidget(self.scatSelect, 5, 0, 1, 1)
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.xScatLabel = QtWidgets.QLabel(self.plotGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.xScatLabel.sizePolicy().hasHeightForWidth())
        self.xScatLabel.setSizePolicy(sizePolicy)
        self.xScatLabel.setObjectName("xScatLabel")
        self.horizontalLayout_5.addWidget(self.xScatLabel)
        self.xScatColumn = QtWidgets.QComboBox(self.plotGroup)
        self.xScatColumn.setObjectName("xScatColumn")
        self.horizontalLayout_5.addWidget(self.xScatColumn)
        self.gridLayout_2.addLayout(self.horizontalLayout_5, 5, 1, 1, 1)
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.yScatLabel = QtWidgets.QLabel(self.plotGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.yScatLabel.sizePolicy().hasHeightForWidth())
        self.yScatLabel.setSizePolicy(sizePolicy)
        self.yScatLabel.setObjectName("yScatLabel")
        self.horizontalLayout_6.addWidget(self.yScatLabel)
        self.yScatColumn = QtWidgets.QComboBox(self.plotGroup)
        self.yScatColumn.setObjectName("yScatColumn")
        self.horizontalLayout_6.addWidget(self.yScatColumn)
        self.gridLayout_2.addLayout(self.horizontalLayout_6, 5, 2, 1, 1)
        self.line_2 = QtWidgets.QFrame(self.plotGroup)
        self.line_2.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_2.setObjectName("line_2")
        self.gridLayout_2.addWidget(self.line_2, 4, 0, 1, 3)
        self.verticalLayout.addLayout(self.gridLayout_2)
        self.line_3 = QtWidgets.QFrame(self.plotGroup)
        self.line_3.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_3.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_3.setObjectName("line_3")
        self.verticalLayout.addWidget(self.line_3)
        self.runPlot = QtWidgets.QPushButton(self.plotGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.runPlot.sizePolicy().hasHeightForWidth())
        self.runPlot.setSizePolicy(sizePolicy)
        self.runPlot.setObjectName("runPlot")
        self.verticalLayout.addWidget(self.runPlot)
        self.leftLayoutV.addWidget(self.plotGroup)
        self.horizontalLayout_2.addLayout(self.leftLayoutV)
        self.rightLayoutV = QtWidgets.QVBoxLayout()
        self.rightLayoutV.setSizeConstraint(QtWidgets.QLayout.SetMinimumSize)
        self.rightLayoutV.setObjectName("rightLayoutV")
        self.plotInfo = QtWidgets.QTextEdit(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.plotInfo.sizePolicy().hasHeightForWidth())
        self.plotInfo.setSizePolicy(sizePolicy)
        self.plotInfo.setMinimumSize(QtCore.QSize(500, 0))
        self.plotInfo.setObjectName("plotInfo")
        self.rightLayoutV.addWidget(self.plotInfo)
        self.horizontalLayout_2.addLayout(self.rightLayoutV)
        MainWindow.setCentralWidget(self.centralwidget)

        self.retranslateUi(MainWindow)
        self.inFileBrowse.clicked.connect(MainWindow.inFileButtonClicked)
        self.filterClear.clicked.connect(MainWindow.clearFilter)
        self.filterAdd.clicked.connect(MainWindow.appendFilter)
        self.runPlot.clicked.connect(MainWindow.updatePlot)
        self.filtDataFileBrowse.clicked.connect(MainWindow.filtDataFileButtonClicked)
        self.filterColumn.currentTextChanged['QString'].connect(MainWindow.filterColumnChanged)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.inFileBrowse.setText(_translate("MainWindow", "Input File"))
        self.inFileLabel.setText(_translate("MainWindow", "//"))
        self.filterGroup.setTitle(_translate("MainWindow", "Filter By"))
        self.filtDataFileBrowse.setText(_translate("MainWindow", "Save Filtered Data"))
        self.labelColumn.setText(_translate("MainWindow", "Filter Column:"))
        self.valueLabel.setText(_translate("MainWindow", "Filter Value:"))
        self.andButton.setText(_translate("MainWindow", "AND"))
        self.orButton.setText(_translate("MainWindow", "OR"))
        self.filterAdd.setText(_translate("MainWindow", "Add"))
        self.filterClear.setText(_translate("MainWindow", "Clear"))
        self.plotGroup.setTitle(_translate("MainWindow", "Plot"))
        self.nBinsLabel.setText(_translate("MainWindow", "#Bins:"))
        self.nBinsEdit.setText(_translate("MainWindow", "100"))
        self.logSelect.setText(_translate("MainWindow", "Log X-axis"))
        self.failSelect.setText(_translate("MainWindow", "Fail Reasons"))
        self.histSelect.setText(_translate("MainWindow", "Histogram"))
        self.scatSelect.setText(_translate("MainWindow", "Scatter"))
        self.xScatLabel.setText(_translate("MainWindow", "X-axis:"))
        self.yScatLabel.setText(_translate("MainWindow", "Y-axis:"))
        self.runPlot.setText(_translate("MainWindow", "Run"))
